cap program drop parfor
program parfor
	
	syntax, NClusters(real) Program(str) Joblist(string)
	
	local joblist "`joblist'"
	local n_jobs : word count `joblist'
	
	forv j = 1(1)`nclusters' {
		forv i = 1(1)`n_jobs' {
			if  mod(`i',`nclusters') == `j' - 1 {
				local name: word `i' of `joblist'
				local job`j' `job`j'' `name'
			}
		}
	}

	forv j = 1(1)`nclusters' {
		if "$pll_instance" == "`j'" {
			di "Executing Job `job`j''"
			foreach i of local job`j' {
				di "`i'"
				`program' `i'
			}
		}
	}
	
end 
